REPOSYNC(1)

NOM
reposync – Redirection vers l’extension reposync de DNF

Synchronisation de paquets d’un dépôt DNF distant dans un dépôt local.

SYNOPSIS

dnf reposync [options]

DESCRIPTION

reposync crée des copies locales de dépôts distants. Les paquets déjà présents dans le répertoire local ne sont pas retéléchargés.

OPTIONS

Toutes les options générales de DNF sont acceptées. Dans ce cas précis, l’option --repoid peut être utilisée pour préciser les dépôts à synchroniser. Consulter Options dans dnf(8) pour les détails.

    -a <architecture>, --arch=<architecture>
        Ne télécharger que les paquets des architectures indiquées (par défaut toutes). Cette option peut être utilisée plusieurs fois.

    --delete
        Supprimer les paquets qui ne sont plus présents dans le dépôt.

    --download-metadata
        Download all repository metadata. Downloaded copy is instantly usable as a repository, no need to run createrepo_c on it. When the option is used with –newest-only, only latest packages will be downloaded, but metadata will still contain older packages. It might be useful to update metadata using createrepo_c –update to remove the packages with missing RPM files from metadata. Otherwise, DNF ends with an error due to the missing files whenever it tries to download older packages.

    -g, --gpgcheck
        Retirer les paquets dont la vérification de signature GPG échoue après le téléchargement. Le code de retour est 1 si au moins un des paquets est retiré. Notez que pour les dépôts ayant gpgcheck=0 défini dans leur configuration, la signature GPG n’est pas vérifiée même si cette option est utilisée.

    -m, --downloadcomps
        Télécharger et décompresser comps.xml. Envisagez d’utiliser l’option --download-metadata qui télécharge toutes les métadonnées disponibles de dépôt.

    --metadata-path
        Chemin de la racine sous laquelle les métadonnées téléchargées sont stockées. Sa valeur par défaut, si non indiquée, est celle de l’option --download-path.

    -n, --newest-only
        Télécharger seulement les paquets nouveaux selon le dépôt.

    --norepopath
        Don’t add the reponame to the download path. Can only be used when syncing a single repository (default is to add the reponame).

    -p <chemin_téléchargement>, --download-path=<chemin_téléchargement>
        Chemin de la racine sous laquelle les dépôts téléchargés sont stockés, relativement au répertoire de travail actuel. Par défaut, la racine est le répertoire de travail actuel. Chaque dépôt téléchargé a un sous-répertoire nommé d’après son ID sous ce chemin.

    --safe-write-path
        Specify the filesystem path prefix under which the reposync is allowed to write. If not specified it defaults to download path of the repository. Useful for repositories that use relative locations of packages out of repository directory (e.g. “../packages_store/foo.rpm”). Use with care, any file under the safe-write-path can be overwritten. Can be only used when syncing a single repository.

    --remote-time
        Essayer de définir les horodatages des fichiers téléchargés à ceux du côté distant.

    --source
        Télécharger seulement les paquets source.

    -u, --urls
        Just print urls of what would be downloaded, don’t download.

EXEMPLES

    dnf reposync --repoid=un_dépôt
        Synchronize all packages from the repository with id “the_repo”. The synchronized copy is saved in “the_repo” subdirectory of the current working directory.

    dnf reposync -p /mes/dépôts/chemin --repoid=un_dépôt
        Synchronize all packages from the repository with id “the_repo”. In this case files are saved in “/my/repos/path/the_repo” directory.

    dnf reposync --repoid=un_dépôt --download-metadata
        Synchronize all packages and metadata from “the_repo” repository.

Un dépôt synchronisé avec l’option --download-metadata peut être directement utilisé dans DNF, par exemple en utilisant l’option --repofrompath :

dnf --repofrompath=dépôt_synchronisé,un_dépôt --repoid=dépôt_synchronisé list --available

VOIR AUSSI

    –   dnf(8), Référence des commandes DNF

AUTEUR
Consulter les AUTEURS dans votre distribution principale de greffons de DNF.

COPYRIGHT
2014, Red Hat, sous licence GPLv2+

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.